package com.example.ellegadodepintia.exploradoresDePintia

import android.graphics.drawable.AnimationDrawable
import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import android.widget.ImageView
import android.widget.TextView
import androidx.fragment.app.DialogFragment
import com.example.ellegadodepintia.R
import com.example.ellegadodepintia.exploradoresDePintia.model.Atributo
import com.example.ellegadodepintia.exploradoresDePintia.model.GameState
import com.example.ellegadodepintia.exploradoresDePintia.model.eventoFactory.EventoCombate

class ModalDetallesEnemigo : DialogFragment() {

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        return inflater.inflate(R.layout.modal_enemigo, container, false)
    }

    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)

        val params = dialog?.window?.attributes
        if (params != null) {
            params.width = (resources.displayMetrics.widthPixels * 0.90).toInt()
            params.height = ViewGroup.LayoutParams.WRAP_CONTENT
            dialog?.window?.attributes = params
        }


        val imagenEvento = view.findViewById<ImageView>(R.id.imagenEnemigo)
        imagenEvento.setImageResource(GameState.eventoActual.imagen)
        val drawable = imagenEvento.drawable
        if (drawable is AnimationDrawable) {
            drawable.start()
        }

        if (GameState.jugador.atributos[Atributo.Investigacion]!! >= (GameState.eventoActual as EventoCombate).ataque) {
            view.findViewById<TextView>(R.id.textoAtaque).text = buildString {
                append("Ataque: ")
                append((GameState.eventoActual as EventoCombate).ataque.toString())
            }
        }

        if(GameState.jugador.atributos[Atributo.Investigacion]!! >= GameState.eventoActual.resistenciaActual/2){
            view.findViewById<TextView>(R.id.textoVidaMaxima).text = buildString {
                append("Vida: ")
                append(GameState.eventoActual.resistenciaActual)
                append("/")
                append(GameState.eventoActual.resistenciaMax)
            }
        }



    }

}
